MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxomsg.c File Reference

OXOMSG ROP Response size calculations. More...

`#include "libmapiserver.h"`
`#include <string.h>`

## Functions
_PUBLIC_ uint16_t | libmapiserver_RopGetAddressTypes_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetTransportFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopOptionsData_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSetSpooler_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopSubmitMessage_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopTransportSend_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXOMSG ROP Response size calculations.

## Function Documentation

_PUBLIC_ uint16_t libmapiserver_RopGetAddressTypes_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetAddressTypes (0x49) Rop size

Parameters

  response | pointer to the GetAddressTypes EcDoRpc_MAPI_REPL structure

Returns
  Size of GetAddressTypes response

Referenced by EcDoRpc_RopGetAddressTypes().

_PUBLIC_ uint16_t libmapiserver_RopGetTransportFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetTransportFolder (0x6d) ROP size

Parameters

  response | pointer to the GetTransportFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of GetTransportFolder response

Referenced by EcDoRpc_RopGetTransportFolder().

_PUBLIC_ uint16_t libmapiserver_RopOptionsData_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate OptionsData (0x6f) Rop size

Parameters

  response | pointer to the OptionsData EcDoRpc_MAPI_REPL structure

Returns
  Size of OptionsData response

Referenced by EcDoRpc_RopOptionsData().

_PUBLIC_ uint16_t libmapiserver_RopSetSpooler_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetSpooler (0x47) Rop size

Parameters

  response | pointer to the SetSpooler EcDoRpc_MAPI_REPL structure

Returns
  Size of SetSpooler response

Referenced by EcDoRpc_RopSetSpooler().

uint16_t libmapiserver_RopSubmitMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SubmitMessage (0x32) Rop size

Parameters

  response | pointer to the SubmitMessage EcDoRpc_MAPI_REPL structure

Returns
  Size of SubmitMessage response

Referenced by EcDoRpc_RopSubmitMessage().

_PUBLIC_ uint16_t libmapiserver_RopTransportSend_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate TransportSend (0x4a) Rop size

Parameters

  response | pointer to the TransportSend EcDoRpc_MAPI_REPL structure

Returns
  Size of TransportSend response

Referenced by EcDoRpc_RopTransportSend().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/